$:.push File.expand_path('../lib', __FILE__)
require 'suspenders/version'
require 'date'

Gem::Specification.new do |s|
  s.required_ruby_version = '>= 1.9.2'
  s.add_dependency 'bundler', '~> 1.3'
  s.add_dependency 'rails', '4.0.0'
  s.add_development_dependency 'aruba', '~> 0.5.2'
  s.add_development_dependency 'cucumber', '~> 1.2'
  s.authors = ['thoughtbot', 're-anayltics']
  s.date = Date.today.strftime('%Y-%m-%d')

  s.description = <<-HERE
  Base rails application template generator based off suspenders by thoughtbot
  HERE

  s.email = 'admin@joshburns.cu.cc'
  s.executables = `git ls-files -- bin/*`.split("\n").map { |file| File.basename(file) }
  s.extra_rdoc_files = %w[README.md LICENSE]
  s.files = `git ls-files`.split("\n")
  s.homepage = 'http://github.com/re-anayltics/re-rails'
  s.license = 'MIT'
  s.name = 're-rails'
  s.rdoc_options = ['--charset=UTF-8']
  s.require_paths = ['lib']
  s.summary = "Generate a Rails app using thoughtbot's best practices."
  s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.version = Suspenders::VERSION
  s.add_development_dependency 'rspec'
  s.add_development_dependency 'capybara'
end
